summaryrefslogtreecommitdiffstats
path: root/development/openjdk6/openjdk6.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/openjdk6/openjdk6.SlackBuild')
-rw-r--r--development/openjdk6/openjdk6.SlackBuild160
1 files changed, 160 insertions, 0 deletions
diff --git a/development/openjdk6/openjdk6.SlackBuild b/development/openjdk6/openjdk6.SlackBuild
new file mode 100644
index 0000000000..8339569f56
--- /dev/null
+++ b/development/openjdk6/openjdk6.SlackBuild
@@ -0,0 +1,160 @@
+#!/bin/bash
+
+# Slackware build script for openjdk6
+
+# Copyright 2017 Strahil Yordanov, Sofia, Bulgaria
+# Copyright 2021 Lenard Spencer, Orlando, Florida, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=openjdk6
+VERSION=${VERSION:-6b41}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+DVER=1.6.0_${VERSION#6}
+ICEDTEA=icedtea6-1.13.13
+OPENJDK_DATE=04_jan_2017
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm; echo "Unsupported arch $ARCH"; exit 1;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+BUILD_DIR=$TMP/$PRGNAM
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIB_ARCH=amd64
+ LIBDIRSUFFIX="64"
+else
+ LIB_ARCH=i386
+ LIBDIRSUFFIX=""
+fi
+
+# Check for the gcc5 package, and abort if not found:
+if [ ! -x /usr/bin/gcc-5 ]; then
+ echo "This requires the gcc5 package to build."
+ echo "Please install gcc5 and rerun this script."
+ exit 1
+else
+ source /etc/profile.d/gcc5.sh # Set the environment
+fi
+
+BOOT_JAVA=/usr/lib${LIBDIRSUFFIX}/jvm
+
+set -e
+
+rm -rf $BUILD_DIR $PKG
+mkdir -p $TMP $BUILD_DIR $PKG $OUTPUT
+cd $BUILD_DIR
+
+tar -xvf $CWD/${ICEDTEA}.tar.xz
+
+# Alter freetypeversion.patch:
+sed -i "s/2.2.1/2.11.0/" ${ICEDTEA}/patches/freetypeversion.patch
+
+# Patch for Slackware(64)-15.0:
+patch -p0 < $CWD/openjdk6-slackware15.patch
+
+mkdir icedtea-build
+cd icedtea-build
+
+# Enable the pulseaudio driver (defaults to no)
+if [ "${PULSE:-no}" = "yes" ]; then
+ PULSEJAVA="--enable-pulse-java"
+else
+ PULSEJAVA=""
+fi
+# Disable kerberos
+if [ "${KERBEROS:-yes}" = "no" ]; then
+ KRB="--disable-system-kerberos"
+else
+ KRB=""
+fi
+
+# Set JAVA_HOME in order to avoid conflictis with other already installed JVMs.
+# cacerts taken from this CentOS package:
+# http://mirror.centos.org/centos/6/os/x86_64/Packages/ca-certificates-2015.2.4-65.0.1.el6_6.noarch.rpm
+
+JAVA_HOME=${BOOT_JAVA} PATH=${BOOT_JAVA}/bin:$PATH ../$ICEDTEA/configure \
+ --with-jdk-home=${BOOT_JAVA} \
+ --with-gcj \
+ --disable-docs \
+ --disable-downloading \
+ --without-rhino \
+ $KRB \
+ --enable-nss \
+ $PULSEJAVA \
+ --with-openjdk-src-zip="$CWD/openjdk-6-src-${VERSION#6}-${OPENJDK_DATE}.tar.xz"
+
+echo \
+ "sed -i '/^ *@Override *$/ d' openjdk/jdk/src/share/classes/javax/management/remote/rmi/RMIJRMPServerImpl.java" \
+ >> fsg.sh
+DISABLE_HOTSPOT_OS_VERSION_CHECK=ok \
+JAVA_HOME=${BOOT_JAVA} PATH=${BOOT_JAVA}/bin:$PATH LOG=trace make
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+cd $PKG/usr/lib${LIBDIRSUFFIX}
+cp -av $BUILD_DIR/icedtea-build/openjdk.build/j2sdk-image/ $PRGNAM
+ln -sf $PRGNAM ${PRGNAM}${DVER}
+ln -sf ./$PRGNAM/jre/lib/${LIB_ARCH}/server/libjvm.so .
+
+cp "$CWD/cacerts" $PRGNAM/jre/lib/security
+
+chown -R root.root $PKG
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/etc/profile.d
+for file in $(ls "$CWD/profile.d/${PRGNAM}"*) ; do
+ cat $file | sed -e "s#lib/openjdk#lib${LIBDIRSUFFIX}/openjdk#" \
+ > $PKG/etc/profile.d/$(basename $file)
+done
+chmod 755 $PKG/etc/profile.d/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/{THIRD_PARTY_README,LICENSE,ASSEMBLY_EXCEPTION} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE